import { HcApi } from '../request/index'

export const saveDict = row => {
  return HcApi({
    url: '/api/blade-system/dict-biz/save-dict',
    method: 'post',
    data: row,
  })
}
export const getDictionary = params => {
  return HcApi({
    url: '/api/blade-system/dict-biz/dictionary',
    method: 'get',
    params,
  })
}
export const submit = row => {
  return HcApi({
    url: '/api/blade-system/dict-biz/submit',
    method: 'post',
    data: row,
  })
}

export const submitList = row => {
  return HcApi({
    url: '/api/blade-system/dict-biz/submitList',
    method: 'post',
    data: row,
  })
}

export const remove = row => {
  return HcApi({
    url: '/api/blade-system/dict-biz/remove',
    method: 'post',
    params: row,
  })
}